<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="print_list" pageWidth="842" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="117f71f8-a5cd-47c2-8102-4e49370f1404">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="local"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<subDataset name="Table" uuid="d03e3fd5-987c-4f92-8f85-9b02e231bec2">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="clsnew"/>
		<queryString language="SQL">
			<![CDATA[select 
a.idreq as 'Id', 
b.name as 'Market Name', b.idproduct as 'Kode Tipe', 
sur.idcolor as 'Warna',
e.qty as 'Qty' 
from unit_document_message a
left join sales_unit_requirement sur on (a.idreq = sur.idreq)
left join product b on (sur.idproduct = b.idproduct) 
left join vehicle_sales_order vso on (sur.idreq = vso.idunitreq)
left join feature c on (sur.idcolor = c.idfeature)
left join orders d on (vso.idorder = d.idorder)
left join order_item e on (d.idorder = e.idorder)]]>
		</queryString>
		<field name="Id" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="Id"/>
		</field>
		<field name="Market Name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="Market Name"/>
		</field>
		<field name="Kode Tipe" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="Kode Tipe"/>
		</field>
		<field name="Warna" class="java.lang.Integer">
			<property name="com.jaspersoft.studio.field.label" value="Warna"/>
		</field>
		<field name="Qty" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.label" value="Qty"/>
		</field>
	</subDataset>
	<parameter name="temp" class="java.lang.String"/>
	<queryString>
		<![CDATA[select * 
from pilih_cabang_temp a
join pilih_cabang_temp_item b on a.idtemp = b.idtemp
where a.idtemp = $P{temp}
order by a.idtemp]]>
	</queryString>
	<field name="idtemp" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idtemp"/>
	</field>
	<field name="idtempitm" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idtempitm"/>
	</field>
	<field name="COLUMN_3" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idtemp"/>
	</field>
	<field name="dtcreate" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtcreate"/>
	</field>
	<field name="marketname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="marketname"/>
	</field>
	<field name="idproduct" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idproduct"/>
	</field>
	<field name="color" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="color"/>
	</field>
	<field name="idfeature" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="idfeature"/>
	</field>
	<field name="qty" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="qty"/>
	</field>
	<field name="cabang1" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="cabang1"/>
	</field>
	<field name="cabang2" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="cabang2"/>
	</field>
	<field name="cabang3" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="cabang3"/>
	</field>
	<field name="qtycabang1" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="qtycabang1"/>
	</field>
	<field name="qtycabang2" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="qtycabang2"/>
	</field>
	<field name="qtycabang3" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="qtycabang3"/>
	</field>
	<field name="reqcabang1" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="reqcabang1"/>
	</field>
	<field name="reqcabang2" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="reqcabang2"/>
	</field>
	<field name="reqcabang3" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="reqcabang3"/>
	</field>
	<variable name="qtycab1" class="java.lang.String"/>
	<variable name="qtycab2" class="java.lang.String"/>
	<variable name="qtycab3" class="java.lang.String"/>
	<variable name="req1" class="java.lang.String"/>
	<variable name="req2" class="java.lang.String"/>
	<variable name="req3" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="40" splitType="Stretch">
			<staticText>
				<reportElement x="300" y="10" width="220" height="30" uuid="0c12b37c-62be-4eb5-bf7f-169acdd9abe0"/>
				<textElement textAlignment="Center">
					<font size="16"/>
				</textElement>
				<text><![CDATA[Draft Request Note]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="25" splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="40" splitType="Stretch">
			<staticText>
				<reportElement stretchType="RelativeToBandHeight" x="380" y="0" width="60" height="40" uuid="e38c9280-3a8b-4e97-8d01-99be7d93abd8"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Qty]]></text>
			</staticText>
			<staticText>
				<reportElement x="280" y="0" width="100" height="40" uuid="84f8984a-6458-4024-8e0b-dfd32adb8c7a"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Warna]]></text>
			</staticText>
			<staticText>
				<reportElement positionType="Float" x="180" y="0" width="100" height="40" uuid="a6ebc6ec-e1f1-44d1-963a-e3c29a30d7e8"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Kode Tipe]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="0" width="180" height="40" uuid="645e131e-a30b-4d2a-a969-2ea01e884da0"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11"/>
				</textElement>
				<text><![CDATA[ Market Name]]></text>
			</staticText>
			<staticText>
				<reportElement x="440" y="21" width="60" height="19" uuid="6ac13fc4-a3e2-468f-9c24-b1187ad29ef8"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center"/>
				<text><![CDATA[Tersedia]]></text>
			</staticText>
			<staticText>
				<reportElement x="500" y="21" width="60" height="19" uuid="7f92107e-2ce6-4e38-9191-6f4fc41dd1e1"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center"/>
				<text><![CDATA[Alokasi]]></text>
			</staticText>
			<staticText>
				<reportElement x="440" y="0" width="120" height="21" uuid="95a8beb9-c9e7-4749-9195-4988ce742ad5"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Cabang 1]]></text>
			</staticText>
			<staticText>
				<reportElement x="560" y="0" width="120" height="21" uuid="47e0cdfb-a194-4392-966c-9625daa3662e"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Cabang 2]]></text>
			</staticText>
			<staticText>
				<reportElement x="560" y="21" width="60" height="19" uuid="fb3784f4-25fc-496b-b813-b2013c30eca7"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center"/>
				<text><![CDATA[Tersedia]]></text>
			</staticText>
			<staticText>
				<reportElement x="620" y="21" width="60" height="19" uuid="34ccbc06-2376-4745-8ba7-966b105213b7"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center"/>
				<text><![CDATA[Alokasi]]></text>
			</staticText>
			<staticText>
				<reportElement x="680" y="0" width="120" height="21" uuid="7ea33493-e532-46a2-abc4-af5aab9fef10"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Cabang 3]]></text>
			</staticText>
			<staticText>
				<reportElement x="680" y="21" width="60" height="19" uuid="dff57f2a-2d21-4b09-80d5-a7f553ca444d"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center"/>
				<text><![CDATA[Tersedia]]></text>
			</staticText>
			<staticText>
				<reportElement x="740" y="21" width="60" height="19" uuid="1e67741a-df05-4151-8db0-1600f9f9e83c"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center"/>
				<text><![CDATA[Alokasi]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="29" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="440" y="0" width="60" height="29" uuid="d192db32-8c97-48c1-91d8-ba19749ab766"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{qtycabang1}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="680" y="0" width="60" height="29" uuid="7d1ca12a-dc1f-4f67-be4f-1a2901c38fe5"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{qtycabang3}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="560" y="0" width="60" height="29" uuid="7847e44a-8efc-4296-8fdb-8814ca5f0ada"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{qtycabang2}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="500" y="0" width="60" height="29" uuid="19b115d3-e263-4b46-8a24-a0228b6248a6"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{reqcabang1}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="620" y="0" width="60" height="29" uuid="6b3a14b7-7bf3-4e61-a189-2d28b0262fbc"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{reqcabang2}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="740" y="0" width="60" height="29" uuid="56af6dae-48d6-4ffe-865b-68a53453a73d"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{reqcabang3}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="0" y="0" width="180" height="29" uuid="2b03db52-0d1d-4243-babf-9cc2cd84911f">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="e34de24d-48db-4400-ad4d-da09ceeea92f"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{marketname}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="180" y="0" width="100" height="29" uuid="2afe7874-9e42-4696-8789-ed0f02b582f9">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="88522228-7c7d-4c79-819c-b5a308a8465e"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{idproduct}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="280" y="0" width="100" height="29" uuid="54f7954e-5cbc-4941-912e-3fe48be56839">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="6a605efe-cb14-4d1e-a2e4-141a5c906923"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{color}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="380" y="0" width="60" height="29" uuid="1b9dd79b-7565-4601-8292-f6b88c92f8bf">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="de96392b-dc5a-46aa-9fa8-31503735787b"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{qty}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="98">
			<staticText>
				<reportElement x="650" y="19" width="99" height="18" uuid="b888c014-4143-4859-90df-a07d5ed04631"/>
				<box>
					<bottomPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Menyetujui]]></text>
			</staticText>
			<staticText>
				<reportElement x="650" y="78" width="99" height="20" uuid="47948470-4215-4abe-8339-e982204cc975"/>
				<textElement textAlignment="Center">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Kepala Cabang]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
